# Voila dashboards on renkulab

A simple demo project for getting [Voila](https://github.com/voila-dashboards/voila)
running on renkulab. 

## Using dashboards

Launch an interactive environment, then replace `/lab` in the URL 
with `/voila` and navigate to a notebook. 

You should see something like 

![Voila example](Screenshot_2019-11-08_at_14.25.46.png "Example dashboard")

## Configuring a project to use Voila dashboards 

All that is needed is to add 

```
voila
``` 

to `requirements.txt` and the line

```
jupyter labextension install @jupyter-voila/jupyterlab-preview
```

to the `Dockerfile`. Then you can launch a normal server and go to `/voila` instead
of `/lab` and you will find yourself in the voila app. 